<ecl-page-header class="ecl-u-mb-xl ecl-u-ph-none">
  <h1 #title eclPageHeaderTitle class="ecl-u-ma-none ecl-u-type-heading-3">{{ 'procedures-page.main.page-title' | translate }}</h1>
  <ng-container>
    <div eclPageHeaderDescriptionContainer class="ecl-u-pv-none ecl-u-mt-xl">
      <div class="header__description-image-container ecl-u-border-all ecl-u-border-color-blue-20">
        <img src="assets/images/procedure.svg" alt="" />
      </div>
      <p eclPageHeaderDescription class="header__description">
        {{ 'procedures-page.main.page-description' | translate }}
      </p>
    </div>
  </ng-container>
</ecl-page-header>
<div class="ecl-container">
  <form eclFormGroup *ngIf="!dataLoading && !errorState" [formGroup]="filtersForm" class="filters">
    <div class="filters__search">
      <input
        eclTextInput
        class="ecl-u-pr-4xl"
        type="search"
        [placeholder]="'procedures-page.main.search-form.placeholder' | translate"
        formControlName="search"
        [attr.aria-label]="'aria-label.input.search' | translate" />
      <div class="search-icon-container">
        <ecl-icon icon="search" size="m" />
      </div>
    </div>
    <div class="filters__select ecl-u-mt-none">
      <select
        eclMultiselect
        eclSize="xl"
        [eclPlaceholder]="'procedures-page.main.select-country.placeholder' | translate"
        formControlName="countrySelect">
        <option
          eclMultiselectOption
          *ngFor="let option of countrySelectOptions"
          [value]="option.value"
          [label]="option.label | translate"></option>
      </select>
    </div>
    <div class="filters__select ecl-u-mt-none">
      <select
        eclMultiselect
        eclSize="xl"
        [eclPlaceholder]="'procedures-page.main.select-event.placeholder' | translate"
        formControlName="eventSelect">
        <option
          eclMultiselectOption
          *ngFor="let option of eventSelectOptions"
          [value]="option.value"
          [label]="option.label | translate"></option>
      </select>
    </div>
  </form>
  <div *ngIf="!dataLoading && !errorState" class="table__container">
    <app-table
      [tableData]="tableData"
      [tableConfig]="tableConfig"
      [isMobile]="isMobile"
      [currentTextFilter]="filteredValues.search"
      [currentSelectFilters]="[
        { columnId: 'procedureCountry', filterValues: this.filteredValues.countrySelect },
        { columnId: 'event', filterValues: this.filteredValues.eventSelect }
      ]"
      (rowClick)="onRowClickHandler($event)"></app-table>
  </div>
  <div *ngIf="dataLoading" class="spinner-container ecl-u-mv-4xl">
    <ecl-loading-indicator>
      <div eclSpinnerLabel>
        {{ 'common.spinner.label' | translate }}
      </div>
    </ecl-loading-indicator>
  </div>
  <app-message-box
    *ngIf="errorState"
    title="common.message-box.service-error.title"
    description="common.message-box.service-error.description"
    state="error"></app-message-box>
</div>
